imports:
    - { resource: ../../../tests/back/Acceptance/Resources/config/pim/repositories.yml }
    - { resource: ../../../tests/back/Acceptance/Resources/config/pim/queries.yml }
    - { resource: ../../../tests/back/Acceptance/Resources/config/pim/file_storage.yml }
    - { resource: ../../../tests/back/Acceptance/Resources/config/pim/messenger.yml }
    - { resource: ../../../tests/back/Platform/Acceptance/CatalogVolumeMonitoring/Resources/config/pim/queries.yml }
    - { resource: ../../../tests/back/Acceptance/Resources/config/behat/services.yml }
    - { resource: ../../../tests/back/Platform/Acceptance/CatalogVolumeMonitoring/Resources/config/behat/services.yml }
    - { resource: ../../../tests/back/Pim/Enrichment/Acceptance/Resources/config/behat/services.yml }
    - { resource: ../../../tests/back/Platform/Acceptance/Analytics/Resources/config/queries.yml }
    # Akeneo/Connectivity/Connection
    - { resource: ../../../src/Akeneo/Connectivity/Connection/back/tests/Acceptance/Resources/config/queries.yml }
    - { resource: ../../../src/Akeneo/Connectivity/Connection/back/tests/Acceptance/Resources/config/repositories.yml }
    - { resource: ../../../src/Akeneo/Connectivity/Connection/back/tests/Acceptance/Resources/config/services.yml }
    - { resource: ../../../src/Akeneo/Connectivity/Connection/back/tests/CatalogBuilder/Resources/config/loaders.yml }
    - { resource: ../../../src/Akeneo/Connectivity/Connection/tests/Resources/config/services.yml }
    - { resource: ../../../src/Akeneo/Connectivity/Connection/back/tests/Acceptance/Resources/config/queries.yml }
    # AkeneoJobBundle
    - { resource: ../../../src/Akeneo/Platform/Job/back/tests/Acceptance/Resources/config/services.yml }

services:
    akeneo_integration_tests.doctrine.connection.connection_closer:
        class: Akeneo\Test\IntegrationTestsBundle\Doctrine\Connection\ConnectionCloser
        arguments:
            - '@doctrine'

    akeneo_integration_tests.message_bus_observer:
        class: Symfony\Component\Messenger\TraceableMessageBus
        decorates: messenger.default_bus
        decoration_inner_name: messenger.default_bus.inner
        arguments:
            - '@messenger.default_bus.inner'

    akeneo_integration_tests.event_dispatcher:
        class: 'Akeneo\Test\Acceptance\EventDispatcher\EventDispatcherMock'
        decorates: event_dispatcher
        arguments:
            - '@akeneo_integration_tests.event_dispatcher.inner'

    Akeneo\Connectivity\Connection\Tests\Acceptance\Context\ConnectionContext:
        public: true
        arguments:
            - '@akeneo_connectivity.connection.persistence.repository.connection'
            - '@akeneo_connectivity.connection.application.handler.fetch_connections'
            - '@akeneo_connectivity.connection.application.handler.find_a_connection'
            - '@akeneo_connectivity.connection.application.handler.create_connection'
            - '@akeneo_connectivity.connection.application.handler.delete_connection'
            - '@akeneo_connectivity.connection.application.handler.update_connection'
            - '@akeneo_connectivity.connection.application.handler.regenerate_connection_secret'
            - '@akeneo_connectivity.connection.application.handler.regenerate_connection_password'
            - '@Akeneo\Connectivity\Connection\Infrastructure\Persistence\InMemory\Repository\InMemoryUserPermissionsRepository'
